Home

# Class goog.events.ImeHandler

Dispatches high-level events for IMEs.

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleCompositionEnd_(?goog.events.BrowserEvent e)` Handles the compositionend event.
| `handleCompositionStart_(?goog.events.BrowserEvent e)` Handles the compositionstart event.
| `handleImeActivate_(?goog.events.BrowserEvent e)` Handles IME activation.
| `handleImeDeactivate_(?goog.events.BrowserEvent e)` Handles IME deactivation.
| `handleKeyDown_(!goog.events.BrowserEvent e)` Handles a key down event.
| `handleKeyUpSafari4_(!goog.events.BrowserEvent e)` Handles the key up event for any IME activity. This handler is just used to prevent activating IME unnecessary in Safari at this time.
| `handleTextInput_(!goog.events.BrowserEvent e)` Handles a textInput event.
| `handleTextModifyingInput_(?goog.events.BrowserEvent e)` Handles the compositionupdate and text events.
| `isImeMode() ⇒ boolean`
| `processImeComposition_(?goog.events.BrowserEvent e)` Handles the IME compose changes.

Static Method Summary
| `isImeDeactivateKeyEvent_(!goog.events.Event e) ⇒ boolean` Returns whether the given event should be treated as an IME deactivation trigger.